# OmniAuth SageImpact

This gem contains the SageImpact strategy for OmniAuth 2.0.

![Sage Impact](sage_impact.png)

[https://app.sageaccountantscloud.com][SageImpact]

[SageImpact]: https://app.sageaccountantscloud.com/

## Installing

Add to your `Gemfile`:

```ruby
gem 'omniauth-sage_impact', '~> 0.0.1'
```

Then `bundle install`.

## Basic Usage

Here's a quick example, adding the middleware to a Rails app in `config/initializers/omniauth.rb`:

```ruby
use OmniAuth::Builder do
  provider :sage_impact, ENV['SAGEIMPACT_CLIENT_ID'], ENV['SAGEIMPACT_CLIENT_SECRET']
end
```

If you are using Devise, do not add the strategy to the `omniauth.rb` initializer. Instead, add

```ruby
  provider :sage_impact, ENV['SAGEIMPACT_CLIENT_ID'], ENV['SAGEIMPACT_CLIENT_SECRET']
```

to your `devise.rb` initializer.

You can find your client secret on the same page where your application API key is.

## Versioning

This library aims to adhere to [Semantic Versioning 2.0.0][semver]. Violations
of this scheme should be reported as bugs.

[semver]: http://semver.org/spec/v2.0.0.html

## License

Copyright (c) 2015 Dave Kimura

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
